# Das &kdesu;-Handbuch

Geert
Jansen

    g.t.jansen@stud.tue.nl

Lauri
Watts

    lauri@kde.org

Korrektur
Philipp
Siegert

    siegert@pp-services.de

Übersetzung
2000
Geert Jansen
&FDLNotice;
2002-01-18
1.00.00

KDE
su
Passwort
Systemverwalter

## Einleitung

## &kdesu; benutzen

Die Benutzung von &kdesu; ist einfach. Der Syntax ist folgendermaßen:

          kdesu
          USER
          -n
          -t
          -q
          -d
          -f FILE
          -c

    	  COMMAND
    	  ARG1
    	  ARG2

          kdesu

    	-v
    	-h
    	-s

Die Befehlszeilen-Parameter sind unterhalb erklärt.

`-c PROGRAM`

  Dieser Parameter gibt an, dass das Programm mit den Rechten des Systemverwalters ausgeführt wird. Der Parameter muss einzeln angegeben werden. Wenn Sie z. B. einenKDE-Web-Browser starten wollen, geben Sie auf der Befehlszeile ``kdesu `-c konqueror``` ein.

`-f FILE`

  Dieser Parameter erlaubt den leistungsfähigen Einsatz von &kdesu; bei `.desktop` Dateien. Er weist &kdesu; an, die Datei, die mit `FILE` angegeben wurde, zu untersuchen. Wenn der aktuelle Benutzer Schreibrechte auf die Datei hat, wird die Datei unter seinem Namen ausgeführt. Wenn er keine Schreibrechte hat, wird die Datei unter dem Benutzernamen `USER` (Voreinstellung: Systemverwalter) ausgeführt.

`-t`

`-n`

`-q`

  Anmerkung des Übersetzers: Diese Option funktioniert nicht mit der in &kde; 2.2 enthaltenen Version von &kdesu;.

`-d`

  Anmerkung des Übersetzers: Diese Option funktioniert nicht mit der in &kde; 2.2 enthaltenen Version von &kdesu;.

`-v`

  Versionsinformationen anzeigen

`--help`

  Hilfe anzeigen

`-s`

  Den kdesu-Dämon stoppen. Weitere Details finden Sie unter: .

## Einrichtung

&kdesu; wird mit dem Kontrollmodul passwords ausgeliefert. Sie finden dieses Modul in dem K-Menü unter Einstellungen Persönliche Einstellungen Passwörter.

Anzeigemodus

  Hier lässt sich festlegen, wie Ihre eingegebenen Zeichen auf dem Bildschirm erscheinen. Mögliche Einstellungen sind: ein Stern pro Zeichen, drei Sterne pro Zeichen oder keine Rückmeldung auf dem Bildschirm. Die Voreinstellung ist "ein Stern pro Zeichen".

Passwörter speichern

## Interne Funktionsweise

### X-Authentifizierung

Wenn Sie keine X-Cookies benutzen, sind Sie auf sich alleine gestellt. &kdesu; wird dies erkennen und kein Cookie hinzufügen. Sie müssen sich vergewissern, dass der Systemverwalter berechtigt ist, auf die Anzeige zuzugreifen.

### Schnittstelle zu `su`

Statt den Befehl des Benutzers direkt mit `su` auszuführen, führt &kdesu; das kleine Unterprogramm kdesu_stub aus. Dieses Unterprogramm, das unter der ID des Zielbenutzers läuft, fordert einige Informationen von &kdesu; über über den pty/tty Kanal an (stdin und stdout des Unterprogramms). Danach wird das Programm des Benutzers ausgeführt. Folgende Informationen werden übergeben: die X-Anzeige, ein X-Authentifizierungs-Cookie (wenn verfügbar), die Variable `PATH` und der auszuführende Befehl. Der Grund für die Benutzung eines Unterprogramms ist der X-Cookie. Dieser beinhaltet sensible Informationen und kann deshalb nicht über die Befehlszeile übergeben werden.

### Passwortprüfung

&kdesu; überprüft die Passwörter, die Sie eingeben und gibt bei Falscheingabe eine Fehlermeldung zurück. Die Überprüfung erfolgt durch ein Testprogramm (`/bin/true`). Wenn die Ausführung dieses Programms erfolgreich ist, wird angenommen, dass das Passwort richtig ist.

### Passwörter speichern

Die Benutzung der Funktion zum Speichern der Passwörter ist ein Kompromiss zwischen Sicherheitsansprüchen und Komfort. Überdenken Sie dies bitte und entscheiden Sie selbst ob Sie diese Funktion benutzen wollen oder nicht.

## Autor

&kdesu;

Copyright 2000 Geert Jansen

&kdesu; wurde von Geert Jansen geschrieben. Es basiert ein wenig auf Pietro Iglios &kdesu;, Version 0.3. Pietro und Geert Jansen sind übereingekommen, dass Geert Jansen das Programm in Zukunft pflegen wird.

Der Autor ist unter folgender Adresse zu erreichen: g.t.jansen@stud.tue.nl. Bitte schicken Sie ihm alle Fehler die Sie finden, so dass er Sie entfernen kann. Wenn Sie Vorschläge zu diesem Programm haben können Sie Geert Jansen gerne anschreiben.

&underFDL; &underArtisticLicense;

## Installation

### Herunterladen

&install.intro.documentation;

### Kompilieren

&install.compile.documentation;